icingadb(8)

NAME
icingadb - Database connector for Icinga 2

SYNOPSIS
\FCicingadb\F[]
[\FC-h\F[]] [\FC--version\F[]] [\FC-c\F[] PATH]

DESCRIPTION
icingadb is a database connector for Icinga 2.

It is part of a set of components for publishing, synchronizing and visualizing monitoring data in the Icinga ecosystem, consisting of:

•   The Icinga DB daemon, which synchronizes monitoring data between a Redis server and a database.

•   Icinga 2 with its Icinga DB feature enabled, responsible for publishing the data to the Redis server, i.e. configuration and its runtime updates, check results, state changes, downtimes, acknowledgements, notifications, and other events such as flapping.

•   And Icinga Web with the Icinga DB Web module enabled, which connects to both Redis and the database to display and work with the most up-to-date data.

OPTIONS
Application Options:

\FC--version\F[]
    Print version and exit

\FC-c\F[]=PATH, \FC--config\F[]=PATH
    Path to config file (default: \FC/etc/icingadb/config.yml\F[])

Help Options:

\FC-h\F[], \FC--help\F[]
    Show usage information and exit